Geo::GDAL::FFI::Layer(3pm)

NAME
Geo::GDAL::FFI::Layer - A collection of vector features in GDAL

SYNOPSIS

DESCRIPTION
A set of (vector) features having a same schema (the same Defn object). Obtain a layer object by the CreateLayer or GetLayer method of a vector dataset object.

Note that the system stores a reference to the parent dataset for each layer object to ensure layer objects remain viable. If you are relying on a dataset object's destruction to flush its dataset cache and then close it then you need to ensure all associated child layers are also destroyed. Failure to do so could lead to corrupt data when reading in newly written files.

METHODS

  GetDefn
 my $defn = $layer->GetDefn;

Returns the FeatureDefn object for this layer.

  ResetReading
 $layer->ResetReading;

  GetNextFeature
 my $feature = $layer->GetNextFeature;

  GetFeature
 my $feature = $layer->GetFeature($fid);

  SetFeature
 $layer->SetFeature($feature);

  CreateFeature
 $layer->CreateFeature($feature);

  DeleteFeature
 $layer->DeleteFeature($fid);

  GetFeatureCount
 my $count = $layer->GetFeatureCount();

  GetExtent $layer->GetExtent(); $layer->GetExtent(1);
Returns an array ref with [minx, miny, maxx, maxy]. Argument is a boolean to force calculation even if it is expensive.

  Intersection, Union, SymDifference, Identity, Update, Clip, Erase
 $result = $layer-><Method>($method, $args);

Runs the <method> algorithm between layer and method layer. Named arguments are the following.

"Result"
    Optional, allows the user to define the result layer.

"Options"
    Optional, allows the user to define the options (see GDAL docs).

"Progress"
    Optional, the progress indicator callback.

"ProgressData"
    Optional, data for the progress callback.

LICENSE
This software is released under the Artistic License. See perlartistic.

AUTHOR
Ari Jolma - Ari.Jolma at gmail.com

SEE ALSO
Geo::GDAL::FFI

Alien::gdal, FFI::Platypus, <http://www.gdal.org>